Bug 213839 - graphics/yed: update to 3.16.2.1 and fix for Unsupported major.minor version 52.0
Summary: graphics/yed: update to 3.16.2.1 and fix for Unsupported major.minor version ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Veniamin Gvozdikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-27 20:16 UTC by Oleg Ginzburg
Modified: 2016-11-18 15:48 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (myc)


Attachments
graphics/yed: update to 3.16.2.1 and fix for Unsupported major.minor version 52.0 (3.04 KB, text/plain)
2016-10-27 20:16 UTC, Oleg Ginzburg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Ginzburg 2016-10-27 20:16:11 UTC
Created attachment 176226 [details]
graphics/yed: update to 3.16.2.1 and fix for Unsupported major.minor version 52.0

Started from this version, yed can not handle with jre < 8 and requires an installed Java 8 JRE:

Exception in thread "main" java.lang.UnsupportedClassVersionError: com/yworks/A/B : Unsupported major.minor version 52.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:803)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
        at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)


When installed both 7/8 runtime environment, JAVA_HOME return by default /usr/local/openjdk7, so, I could not find a better solution other than hardcode path to openjdk8.
Comment 1 Eugene Mychlo 2016-11-08 20:39:52 UTC
Comment on attachment 176226 [details]
graphics/yed: update to 3.16.2.1 and fix for Unsupported major.minor version 52.0

I approve this patch.
Comment 2 Veniamin Gvozdikov freebsd_committer 2016-11-18 15:40:19 UTC
I'll take it.
Comment 3 commit-hook freebsd_committer 2016-11-18 15:47:11 UTC
A commit references this bug:

Author: vg
Date: Fri Nov 18 15:47:06 UTC 2016
New revision: 426328
URL: https://svnweb.freebsd.org/changeset/ports/426328

Log:
  - Update to 3.16.2.1
  - Fix unsupported major.minor version 52.0

  PR:		ports/213839
  Submitted by:	olevole@olevole.ru
  Approved by:	Eugene Mychlo <myc@barev.net> (maintainer)

Changes:
  head/graphics/yed/Makefile
  head/graphics/yed/distinfo
  head/graphics/yed/files/yed.in
  head/graphics/yed/pkg-plist
Comment 4 Veniamin Gvozdikov freebsd_committer 2016-11-18 15:48:58 UTC
Committed, thank you!